<!DOCTYPE>
<html>
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible"content="IE=edge">
    <meta name="viewport"content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>

        var win=open('./win2.html');
        window.addEventListener("message",(msg) => {
            console.log(msg.data);
            win.postMessage('from parent win','*');
        })
    </script>
</body>
</html>

